<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** Version 20240514 ***************************/
/*** JSON Data now used to obtain image filenames courtesy of Ken True! ***/
############################################################################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="GOES16 Satellite Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
$divWidth = 660;
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('GOES16 Satellite Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'GOES16 Satellite Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
	$satBand = 'GEOCOLOR'; // Default sector type is set here
	$noBandChange = false; // Don't allow $satBand changes -- Added 20180209
	$sector = 'umv'; // IMPORTAMT!!! Default sector location is set here
/* USE ONE of THESE for $sector!
	"pnw" is Pacific Northwest
    "nr" is Northern Rockies
    "umv" is Upper Mississippi Valley
    "cgl" is Great Lakes
    "ne" is Northeast
    "psw" is Pacific Southwest
    "sr" is Southern Rockies
    "sp" is Southern Plains
    "smv" is Southern Mississippi Valley
    "se" is Southeast
	"taw" is Tropical Atlantic-Wide
	"gm" is Gulf of Mexico
	"car" is Caribbean
	"eus" is U.S. Atlantic Coast
	"pr" is Puerto Rico
	"cam" is Central America
	"eep" is Equatorial Eastern Pacific
	"eus" is Eastern US
	"mex" is Mexico
	"nsa" is Northern South America
	"ssa" is Southern South America
	"CONUS" is Continental US
	"FD" is Full Disk */
	$autoRefresh = true; // Use Autorefresh? true or false -- Determines whether AutoRefresh even appears
	$autoRefreshTime = 5; // Number of minutes between autorefreshes.  IMPORTANT: use 2, 3, 4, 5, 6, 8, 10, 15, 20, or 30 ONLY!!!
	$autoRefreshOff = false; // Begin with Autorefresh Off? true or false -- 'OFF' or 'ON"
	$bgndColor = 'silver'; // Set HAniS Background Color Here
	$btnColor = 'darkslategray'; // Set Button Color here
	$btnTextColor = 'white'; // Set Button Text Color here
	$pauseSeconds = 2; // Pause on last image, in seconds
	$animRate = 40; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
	$numbImages = 20; // Number of Satellite Images to Animate - 12 to around 45
	$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
		######################## New in Version 20180114 #######################
	$doDebug = false; // Output debug information?
	$checkFiles = false; // Enable image file existence checking
	$imageWidth = ($standAlone?1200:600); // Default image width
	$restrictWidth = true; // Restrict width of display
	$maxWidth = 1205; // Restricted width
		######################## New in Version 20180214 #######################
	$addTime = false; // Add GMT time to images' animation
	$addTimePixels = 70; //Pixel height to add to display the image times
	$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
/*********************** End Settings ***************************/
	$satBandisNumeric = ($satBand!='FD'&&$satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='Sandwich'&&$satBand!='DayNightCloudMicroCombo'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3'&&$satBand!='CONUS'&&$satBand!='Dust')?true:false;
	$satBand = $satBandisNumeric?($satBand<10?('0'.intval($satBand)):$satBand):$satBand;    

	$wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);

	$sectorTypes = array('standard', 'FD', 'CONUS','gm-eus-cam-mex-car','taw-eep-nsa-ssa','can'); // Pointers to the various possible image dimensions
	if ($sector=='FD') $ourSectorType = $sectorTypes[1]; // Logic to select our array of dimensions
	else if ($sector=='CONUS') $ourSectorType = $sectorTypes[2];
	else if ($sector=='cam'||$sector=='eus'||$sector=='car'||$sector=='gm'||$sector=='mex') $ourSectorType = $sectorTypes[3];
	else if ($sector=='taw'||$sector=='eep'||$sector=='nsa'||$sector=='ssa') $ourSectorType = $sectorTypes[4];
	else if ($sector=='can') $ourSectorType = $sectorTypes[5];
	else $ourSectorType = $sectorTypes[0];

	$sectorDimensions = array('widthA','iframeWidthA','heightA','iframeHeightA','widthB','iframeWidthB','heightB','iframeHeightB');
	$satBandSectors = array( // Array of arrays of possible image dimensions
		'standard'=>array( // The US Regional Image Dimensions
			'widthA'=>1200,
			'iframeWidthA'=>1242,
			'heightA'=>1200,
			'iframeHeightA'=>1200,
			'widthB'=>600,
			'iframeWidthB'=>600,
			'heightB'=>600,
			'iframeHeightB'=>600),
		'FD'=>array( // The Full Disk Dimensions
			'widthA'=>678,
			'iframeWidthA'=>678,
			'heightA'=>678,
			'iframeHeightA'=>678,
			'widthB'=>339,
			'iframeWidthB'=>339,
			'heightB'=>339,
			'iframeHeightB'=>339),
		'CONUS'=>array( // The Continental US Image Dimensions
			'widthA'=>1250,
			'iframeWidthA'=>1292,
			'heightA'=>750,
			'iframeHeightA'=>750,
			'widthB'=>625,
			'iframeWidthB'=>625,
			'heightB'=>375,
			'iframeHeightB'=>375),
		'gm-eus-cam-mex-car'=>array( // The Gulf of Mexico, Caribbean, Eastern US Image Dimensions
			'widthA'=>1000,
			'iframeWidthA'=>1042,
			'heightA'=>1000,
			'iframeHeightA'=>1000,
			'widthB'=>500,
			'iframeWidthB'=>500,
			'heightB'=>500,
			'iframeHeightB'=>500),
		'taw-eep-nsa-ssa'=>array( // The Tropical Atlantic - Wide Dimensions
			'widthA'=>900,
			'iframeWidthA'=>942,
			'heightA'=>540,
			'iframeHeightA'=>540,
			'widthB'=>450,
			'iframeWidthB'=>450,
			'heightB'=>270,
			'iframeHeightB'=>270),
		'can'=>array( // Canadian Dimensions
			'widthA'=>1125,
			'iframeWidthA'=>1167,
			'heightA'=>560,
			'iframeHeightA'=>602,
			'widthB'=>560,
			'iframeWidthB'=>602,
			'heightB'=>280,
			'iframeHeightB'=>322)
		);

	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		var_dump($satBandSectors['standard']['iframeHeightB']);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			echo '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		echo '$ourSectorType: '.$ourSectorType.'<br/>';
		var_dump($satBandSectors[$ourSectorType]['iframeHeightB']);
//		exit;
	}
	/* End Debug Code */
	$imageWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'widthA':'widthB'];
	$iframeWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeWidthA':'iframeWidthB'];
	$imageHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'heightA':'heightB'];
	$iframeHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeHeightA':'iframeHeightB'];
	if (($imageWidth>$maxWidth)&&$restrictWidth&&($standAlone||$wideScreen)) {
		$widthDifference = $imageWidth-$maxWidth;
		$ratioAdjust = $maxWidth/$imageWidth;
		$iframeWidth = round($iframeWidth*$ratioAdjust);
		$iframeHeight = round($iframeHeight*$ratioAdjust);
	}
/* Debug Code *
	if ($doDebug) {
		echo '$satBand: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		echo '$imageWidth: '.$imageWidth.', $iframeWidth: '.$iframeWidth.', $imageHeight: '.$imageHeight.', $iframeHeight: '.$iframeHeight.'<br/>';
		exit;
	}
/* End Debug Code */	
		if ($standAlone) $bgndColor = 'white';
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,addTimePixels,useUTC,restrictWidth,maxWidth) { 
		$jq('#selectors').load('inc-wxGOES16-HAniSLoops.php', {standAlone:standAlone,sector:sector,satBand:satBand,imageWidth:imageWidth,imageHeight:imageHeight,iframeWidth:iframeWidth,iframeHeight:iframeHeight,autoRefresh:autoRefresh,autoRefreshTime:autoRefreshTime,bgndColor:bgndColor,autoRefresh:autoRefresh,autoRefreshOff:autoRefreshOff,btnColor:btnColor,btnTextColor:btnTextColor,pauseSeconds:pauseSeconds,animRate:animRate,numbImages:numbImages,smoothingOn:smoothingOn,doDebug:doDebug,checkFiles:checkFiles,noBandChange:noBandChange,wideScreen:wideScreen,addTime:addTime,addTimePixels:addTimePixels,useUTC:useUTC,restrictWidth:restrictWidth,maxWidth:maxWidth});
	}
}
</script>
<style type="text/css">
 div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
	}
</style>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth.'px') ?>">
<?php } else { ?>
	<div id="main-copy" class="center" style="width:100%; padding:0px">
<?php }	?>
  <div align="center" class="center">
  <h2 align="center"><br/><span style="font-size:24px">GOES16 Satellite Loops</span></h2>
    <?php include('inc-wxGOES16-HAniSLoops.php');?>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
